<?php
namespace Pinpoint\BannerManager\Model;
/**
 * Class Banner
 * @package Pinpoint\BannerManager\Model
 */
class Banner extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\BannerManager\Api\Data\BannerInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_bannermanager_banner';

    protected function _construct()
    {
        $this->_init('Pinpoint\BannerManager\Model\ResourceModel\Banner');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
