<?php
namespace Pinpoint\BannerManager\Model;
/**
 * Class BannerBlock
 * @package Pinpoint\BannerManager\Model
 */
class BannerBlock extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\BannerManager\Api\Data\BannerBlockInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_bannermanager_bannerblock';

    protected function _construct()
    {
        $this->_init('Pinpoint\BannerManager\Model\ResourceModel\BannerBlock');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
